(function($, Drupal) {

    'use strict';

    /**
     * Initialize input masks.
     *
     * @type {Drupal~behavior}
     */
    Drupal.behaviors.FieldMask = {
        attach: function(context) {

            $(context).find('select#fieldmask-input-mask').change(function() {
                // console.log($(this).val());
                var FieldmaskSelectValue = $(this).val();
                if (FieldmaskSelectValue == 'other') {
                    $(context).find('input#fieldmask-input-mask-other').parent().show();
                } else {
                    $(context).find('input#fieldmask-input-mask-other').val(" ");
                    $(context).find('input#fieldmask-input-mask-other').parent().hide();
                }

            });
        }
    };

})(jQuery, Drupal);